package _VisualDVM.Visual.Windows;
import _VisualDVM.Global;
import _VisualDVM.Visual.Interface.AnalysisWindow;

import javax.swing.*;
public class AnalysisForm implements AnalysisWindow {
    private JSplitPane SCX;
    private JPanel content;
    private JLabel l_lines;
    private JLabel l_loops;
    private JLabel l_arrays;
    private JLabel l_functions;
    private JLabel l_spf_dirs;
    private JLabel l_dvm_dirs;
    private JLabel l_maxdim;
    private JPanel regionsPanel;
    public AnalysisForm() {
        LoadSplitters();
        Global.mainModule.getProject().parallelRegions.mountUI(regionsPanel);
    }
    @Override
    public JPanel getContent() {
        return content;
    }
    @Override
    public void ShowProjectMaxDim() {
        l_maxdim.setText("Наибольшая размерность DVM-шаблона: " + Global.mainModule.getProject().maxdim);
    }
    @Override
    public void ShowNoProjectMaxDim() {
        l_maxdim.setText("Наибольшая размерность DVM-шаблона: ?");
    }
    @Override
    public void ShowMetrics() {
        l_lines.setText("Общее количество строк кода: " + Global.mainModule.getProject().LinesCount());
        l_spf_dirs.setText("Всего объявлено SPF директив: " + Global.mainModule.getProject().SPFCount());
        l_dvm_dirs.setText("Всего объявлено DVM директив: " + Global.mainModule.getProject().DVMCount());
    }
    @Override
    public void ShowNoMetrics() {
        l_lines.setText("Общее количество строк кода: ?");
        l_spf_dirs.setText("Всего объявлено SPF директив: ?");
        l_dvm_dirs.setText("Всего объявлено DVM директив: ?");
    }
    @Override
    public void ShowRegions() {
        Global.mainModule.getProject().parallelRegions.ShowUI();
    }
    @Override
    public void ShowNoRegions() {
        Global.mainModule.getProject().parallelRegions.ClearUI();
    }
    @Override
    public void ShowLoopsCount() {
        l_loops.setText("Общее количество циклов: " + Global.mainModule.getProject().LoopsCount());
    }
    @Override
    public void ShowFunctionsCount() {
        l_functions.setText("Всего объявлено процедур: " + Global.mainModule.getProject().FunctionsCount());
    }
    @Override
    public void ShowArraysCount() {
        l_arrays.setText("  Всего объявлено массивов: " + Global.mainModule.getProject().ArraysCount());
    }
}
